Description

RExpression_Matrix_IO_Test workflow gives this error. This bug slipped into Kepler release too.

java.lang.NumberFormatException: For input string: "4L"

Problem sending to output port! java.lang.NumberFormatException: For input string: "4L"
at java.lang.NumberFormatException.forlnputString(NumberFormatException.java:48)
at java.lang.Integer.parselnt(Integer.java:456)

at java.lang.Integer.parselnt(Integer.java:497)

at org.ecoinformatics.seek.R.RExpression.setOutputToken(RExpression.java:852)

at org.ecoinformatics.seek.R.RExpression.getOutput(RExpression.java:798)

at org.ecoinformatics.seek.R.RExpression.fire(RExpression.java:739)

at ptolemy.actor.AtomicActor.iterate(AtomicActor.java:398)

at ptolemy.actor.sched.StaticSchedulingDirector.fire(StaticSchedulingDirector.java:188)
at ptolemy.actor.CompositeActor.fire(CompositeActor.java:400)

at ptolemy.actor.Manager.iterate(Manager.java:688)

at ptolemy.actor.Manager.execute(Manager.java:332)

at ptolemy.actor.Manager.run(Manager.java:1071)

at ptolemy.actor.Manager$3.run(Manager.java:1112)

Warning: '.RExpression_Matrix_|O_Test.Nonstrict Test' The test produced only 0 tokens, yet the correctValues parameter was

expecting 1 tokens.

History

#1 - 05/27/2008 04:59 PM - ben leinfelder
what version of R are you running?
I've got:

R version 2.6.2 (2008-02-08)
Copyright (C) 2008 The R Foundation for Statistical Computing
ISBN 3-900051-07-0

and am not seeing the error.

#2 - 05/27/2008 08:56 PM - Derik Barseghian

| should note I'm seeing that error on stdout, not in the gui.

| have the same version of R as you on both Ubuntu and mac, and I'm seeing the error on both, both with head and the 1.0 release.

#3 - 04/27/2009 04:04 PM - ben leinfelder

Derik - are you still seeing this bug?

| do not encounter the parsing error ("4L" etc...)

| believe we changed some things with respect to how this actor was dealing with int vs double representation.
can we consider closing this?

#4 - 04/29/2009 05:16 PM - Derik Barseghian

Yep, | no longer see this bug on either Mac or Linux, closing.

#5 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3332
